Marketing settings
Marketing module settings
INFO
Har bir javob umumiy konvertda qaytadi — code, message, messages, status_code, time — foydali yuk esa data ichida. Quyidagi jadvallar faqat data ichini tavsiflaydi.
GET /marketing-settings/get
Get the tenant's marketing settings (created with defaults on first access).
So‘rov tanasi
So‘rov tanasi talab qilinmaydi.
Javob
| Maydon | Tur | Tavsif |
|---|---|---|
_id | string | |
expected_product_template_id | string | |
send_by_sms | boolean | |
send_by_bot | boolean | |
integration_id | string | |
template | object | |
template._id | string | |
template.content | string | |
integration | object | |
integration._id | string | |
integration.name | string |
json
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": {
"_id": "string",
"expected_product_template_id": "string",
"send_by_sms": false,
"send_by_bot": false,
"integration_id": "string",
"template": {
"_id": "string",
"content": "string"
},
"integration": {
"_id": "string",
"name": "string"
}
},
"time": "2025-05-01T12:00:00Z"
}PUT /marketing-settings/set
Update the tenant's marketing settings (partial patch).
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
expected_product_template_id | string | Yo‘q | ObjectId of the SMS template used for the expected-product event notification |
send_by_sms | boolean | Yo‘q | Whether to send expected-product notifications via SMS |
send_by_bot | boolean | Yo‘q | Whether to send expected-product notifications via Telegram bot |
integration_id | string | Yo‘q | ObjectId of the SMS integration to use for outgoing messages |
json
{
"expected_product_template_id": "string",
"send_by_sms": false,
"send_by_bot": false,
"integration_id": "string"
}Javob
Javob tuzilishi quyidagi bilan bir xil: GET /marketing-settings/get.
Bu sahifa OpenAPI spetsifikatsiyasidan yaratilgan.